package com.sxr.sdk.ble.keepfit.client;


import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicNameValuePair;
import org.apache.http.protocol.HTTP;
import org.json.JSONArray;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.List;


//接口地址:
//
//        192.168.1.107:8087/shbruser/insertBraceletUserInfo
//        请求方式：post
//
//        String mobile,    /**手机号*/
//        double pld,      /**疲劳度*/
//        double ssxy,   /**收缩血压*/
//        double szxy;      /**舒张血压*/
//        double xtpl;       /**心跳频率*/
//        double xynd;     /**血压*/
//        long bs;      /**步数*/
//        double lng;  /**经度*/
//        double lat; /**纬度*/
//
//
//        {
//        "success": true,
//        "status": 20000,
//        "count": 1,
//        "msg": "上传数据成功",
//        "data": "BraceletuserVo(pld=38.9, ssxy=180.8, szxy=120.4, xtpl=85.0, xynd=140.3, bs=20000, lng=38.5, lat=106.78)"
//        }

public class RestService {

    public static String baseURL = "http://192.168.1.104:8087";

    public static void  Post(ReportData reportData) {
        String url = baseURL + "/shbruser/insertBraceletUserInfo";
        try
        {
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("mobile", reportData.phoneNumber);
            jsonObject.put("pld", reportData.pld);
            jsonObject.put("ssxy", reportData.ssxy);
            jsonObject.put("szxy", reportData.szxy);
            jsonObject.put("xtpl", reportData.xtpl);
            jsonObject.put("xynd", reportData.xynd);
            jsonObject.put("bs", reportData.bs);
            jsonObject.put("lng", reportData.lng);
            jsonObject.put("lat", reportData.lat);


            StringEntity entity = new StringEntity(jsonObject.toString(), HTTP.UTF_8);

            entity.setContentType("application/json");

            // URL使用基本URL即可，其中不需要加参数
            HttpPost httpPost = new HttpPost(url);
            // 将请求体内容加入请求中

            httpPost.setEntity(entity);

            HttpClient httpClient = new DefaultHttpClient();
            // 发送请求
            HttpResponse response = httpClient.execute(httpPost);
            // 显示响应
            //showResponseResult(response);

            System.out.println(response.getStatusLine());


        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
    }

}
